<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/solidangle.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>solidangle.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for solidangle.c:</div>
<div class="dynsection">
<div class="center"><img src="solidangle_8c__incl.png" border="0" usemap="#util_2solidangle_8c_map" alt=""/></div>
<map name="util_2solidangle_8c_map" id="util_2solidangle_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="solidangle_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e">PointFromPlane</a> (PetscReal *x, PetscReal *v1, PetscReal *v2, PetscReal *v3, PetscReal *d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f">SolidAngle</a> (PetscReal *x, PetscReal *v1, PetscReal *v2, PetscReal *v3, PetscReal *omega)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a11f1b219c8bea88b0d4efaa49d9e109e"></a><!-- doxytag: member="solidangle.c::PointFromPlane" ref="a11f1b219c8bea88b0d4efaa49d9e109e" args="(PetscReal *x, PetscReal *v1, PetscReal *v2, PetscReal *v3, PetscReal *d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PointFromPlane </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>d</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="solidangle_8c_source.html#l00029">29</a> of file <a class="el" href="solidangle_8c_source.html">solidangle.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00130">my_ddot</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, and <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="solidangle_8c_a11f1b219c8bea88b0d4efaa49d9e109e_icgraph.png" border="0" usemap="#solidangle_8c_a11f1b219c8bea88b0d4efaa49d9e109e_icgraph_map" alt=""></div>
<map name="solidangle_8c_a11f1b219c8bea88b0d4efaa49d9e109e_icgraph_map" id="solidangle_8c_a11f1b219c8bea88b0d4efaa49d9e109e_icgraph">
<area shape="rect" id="node3" href="field_8h.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="313,223,361,254"/><area shape="rect" id="node56" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="169,277,252,307"/><area shape="rect" id="node5" href="field_8h.html#acd4f9c6dd876dbb0affeca8be96ee4b4" title="BMatrix" alt="" coords="421,250,488,281"/><area shape="rect" id="node7" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="537,250,631,281"/><area shape="rect" id="node9" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="681,250,751,281"/><area shape="rect" id="node11" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="801,223,847,254"/><area shape="rect" id="node46" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="897,301,999,331"/><area shape="rect" id="node13" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="907,118,989,149"/><area shape="rect" id="node17" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1765,197,1824,227"/><area shape="rect" id="node42" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1609,90,1695,121"/><area shape="rect" id="node52" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="913,197,983,227"/><area shape="rect" id="node15" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1588,143,1716,174"/><area shape="rect" id="node24" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="1077,146,1155,177"/><area shape="rect" id="node29" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="1069,93,1163,123"/><area shape="rect" id="node21" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1768,143,1821,174"/><area shape="rect" id="node19" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1872,170,1923,201"/><area shape="rect" id="node26" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1233,301,1359,331"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1257,197,1335,227"/><area shape="rect" id="node36" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1249,93,1343,123"/><area shape="rect" id="node33" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1408,197,1539,227"/><area shape="rect" id="node38" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1447,93,1500,123"/><area shape="rect" id="node48" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="1048,301,1184,331"/><area shape="rect" id="node58" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="301,277,373,307"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a1e2c6c7a1101373c5702b927ca66405f"></a><!-- doxytag: member="solidangle.c::SolidAngle" ref="a1e2c6c7a1101373c5702b927ca66405f" args="(PetscReal *x, PetscReal *v1, PetscReal *v2, PetscReal *v3, PetscReal *omega)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SolidAngle </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>omega</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="solidangle_8c_source.html#l00049">49</a> of file <a class="el" href="solidangle_8c_source.html">solidangle.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="solidangle_8c_source.html#l00029">PointFromPlane()</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="solidangle_8c_a1e2c6c7a1101373c5702b927ca66405f_cgraph.png" border="0" usemap="#solidangle_8c_a1e2c6c7a1101373c5702b927ca66405f_cgraph_map" alt=""></div>
<map name="solidangle_8c_a1e2c6c7a1101373c5702b927ca66405f_cgraph_map" id="solidangle_8c_a1e2c6c7a1101373c5702b927ca66405f_cgraph">
<area shape="rect" id="node3" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="140,5,252,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="solidangle_8c_a1e2c6c7a1101373c5702b927ca66405f_icgraph.png" border="0" usemap="#solidangle_8c_a1e2c6c7a1101373c5702b927ca66405f_icgraph_map" alt=""></div>
<map name="solidangle_8c_a1e2c6c7a1101373c5702b927ca66405f_icgraph_map" id="solidangle_8c_a1e2c6c7a1101373c5702b927ca66405f_icgraph">
<area shape="rect" id="node3" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="139,249,211,279"/><area shape="rect" id="node5" href="field_8h.html#acd4f9c6dd876dbb0affeca8be96ee4b4" title="BMatrix" alt="" coords="259,249,325,279"/><area shape="rect" id="node7" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="375,249,468,279"/><area shape="rect" id="node9" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="519,249,588,279"/><area shape="rect" id="node11" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="639,210,684,241"/><area shape="rect" id="node46" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="735,301,836,331"/><area shape="rect" id="node13" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="744,118,827,149"/><area shape="rect" id="node17" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1603,197,1661,227"/><area shape="rect" id="node42" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1447,90,1532,121"/><area shape="rect" id="node52" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="751,197,820,227"/><area shape="rect" id="node15" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1425,143,1553,174"/><area shape="rect" id="node24" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="915,146,992,177"/><area shape="rect" id="node29" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="907,93,1000,123"/><area shape="rect" id="node21" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1605,143,1659,174"/><area shape="rect" id="node19" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1709,170,1760,201"/><area shape="rect" id="node26" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1071,301,1196,331"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1095,197,1172,227"/><area shape="rect" id="node36" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1087,93,1180,123"/><area shape="rect" id="node33" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1245,197,1376,227"/><area shape="rect" id="node38" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1284,93,1337,123"/><area shape="rect" id="node48" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="885,301,1021,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

